In the spirit of various other "Which X do you use?"-pages I thought it would be
fun to have a little post here that describes which tools I've found to work
well for myself.

When I say "tools" here, it's not about software - it's about real, physical
tools!

If something goes on this list that's because I think it's seriously a
best-in-class type of product.

<!-- markdown-toc start - Don't edit this section. Run M-x markdown-toc-refresh-toc -->
- [Media & Tech](#media--tech)
    - [Keyboard](#keyboard)
    - [Speakers](#speakers)
    - [Headphones](#headphones)
        - [Earphones](#earphones)
    - [Phone](#phone)
- [Other stuff](#other-stuff)
    - [Toothbrush](#toothbrush)
    - [Shavers](#shavers)
    - [Shoulder bag](#shoulder-bag)
    - [Wallet](#wallet)
<!-- markdown-toc end -->

---------

# Media & Tech

## Keyboard

The best keyboard that money will buy you at the moment is the [Kinesis
Advantage][advantage]. There's a variety of contoured & similarly shaped
keyboards on the market, but the Kinesis is the only one I've tried that has
properly implemented the keywell concept.

I struggle with RSI issues and the Kinesis actually makes it possible for me to
type for longer periods of time, which always leads to extra discomfort on
laptop keyboards and such.

Honestly, the Kinesis is probably the best piece of equipment on this entire
list. I own several of them and there will probably be more in the future. They
last forever and your wrists will thank you in the future, even if you do not
suffer from RSI yet.

Kinesis have announced a split version of the Advantage. Once that is
easily available, I will buy one and evaluate it.

[advantage]: https://kinesis-ergo.com/shop/advantage2/

## Speakers

There are two sets of speakers I use, unfortunately one pair has been in storage
since I left the UK.

My original favourite speakers are the [Teufel Motiv 2][motiv-2], usually hooked
up to a Chromecast and a record player. I've had these for over a decade and
they're incredibly good, but unfortunately Teufel no longer makes them. Mine are
currently in a warehouse somewhere in London, and I don't know when I will see
them again ...

It's possible to grab a pair on eBay occasionally, so keep an eye out if you're
interested!

In my Moscow flat, I have a pair of [Wharfedale Diamond 12][diamond-12]
connected to a Philips amplifier older than myself. These provide an excellent,
balanced, "Wharfedale-sound". Some people find it needs some getting used to,
but don't want to go back after that initial phase.

[motiv-2]: https://www.teufelaudio.com/uk/pc/motiv-2-p167.html
[diamond-12]: https://www.wharfedaleusa.com/collections/diamond-12

## Headphones

I use the [Bose QC35][qc35] (note: link goes to a newer generation than the one
I own) for their outstanding noise cancelling functionality and decent sound.

When I first bought them I didn't expect them to end up on this list as the
firmware had issues that made them only barely usable, but Bose has managed to
iron these problems out over time.

I avoid using Bluetooth when outside and fortunately the QC35 come with an
optional cable that you can plug into any good old 3.5mm jack.

[qc35]: https://www.bose.co.uk/en_gb/products/headphones/over_ear_headphones/quietcomfort-35-wireless-ii.html

### Earphones

Actually, to follow up on the above - most of the time I'm not using (over-ear)
headphones, but (in-ear) earphones - specifically the (**wired!!!**) [Apple
EarPods][earpods].

Apple will probably stop selling these soon because they've gotten into the
habit of cancelling all of their good products, so I have a stash of these
around. You will usually find no fewer than 3-4 of them lying around in my
flat.

[earpods]: https://www.apple.com/uk/shop/product/MNHF2ZM/A/earpods-with-35mm-headphone-plug

## Phone

My current phone is the [Unihertz Atom L][atom-l]. It is a rugged, small-screen
smartphone with a 3.5mm heapdhone jack. This phone is *weird* looking, getting
one of these means you will constantly be asked what kind of device you have
there. It does everything I need, and survives being thrown against a wall when
the software misbehaves. As the Swedes would say, this phone is solidly *lagom*.

The ruggedness is an additional bonus as it survives things like sauna / banya
trips just fine.

Up until a few years ago I used the original [iPhone SE][se]. This was the last
truly good phone anyone made, but unfortunately it was discontinued and is iOS
only.

[atom-l]: https://www.unihertz.com/products/atom-l
[se]: https://en.wikipedia.org/wiki/IPhone_SE

# Other stuff

## Toothbrush

The [Philips Sonicare][sonicare] is excellent and well worth its price.

I've had it for a few years and whereas I occasionally had minor teeth issues
before, they seem to be mostly gone now. According to my dentist the state of my
teeth is now usually pretty good and I draw a direct correlation back to this
thing.

It has an app and stuff, but I just ignore that.

I first got one of these in about 2014, and it lasted until 2020, at which point
I upgraded to whatever the current model was.

[sonicare]: https://www.philips.co.uk/c-m-pe/electric-toothbrushes

## Shavers

The [Philipps SensoTouch 3D][sensotouch] is excellent. Super-comfortable close
face shave in no time and leaves absolutely no mess around, as far as I can
tell! I've had this for ~7 years and it's not showing any serious signs of aging
yet.

Another bonus is that its battery time is effectively infinite (in the order of
months of use per charge). I've never had to worry when bringing it on a longer
trip!

[sensotouch]: https://www.philips.co.uk/c-p/1250X_40/norelco-sensotouch-3d-wet-and-dry-electric-razor-with-precision-trimmer

## Shoulder bag

When I moved to London I wanted to stop using backpacks most of the time, as
those are just annoying to deal with when commuting on the tube.

To work around this I wanted a good shoulder bag with a vertical format (to save
space), but it turned out that there's very few of those around that reach any
kind of quality standard.

The one I settled on is the [Waterfield Muzetto][muzetto] leather bag. It's one
of those things that comes with a bit of a price tag attached, but it's well
worth it!

**Unfortunately**, just like my speakers, this bag is now in storage somewhere
in the UK since I left the country.

After moving to Moscow I quickly ran into the same problem as in London when
using the metro, but getting another Muzetto was kind of impractical.

I couldn't find any other vertical messenger bags that I liked, and ended up
going for a more traditional one: The [Brialdi Ostin][ostin].

[muzetto]: https://www.sfbags.com/collections/shoulder-messenger-bags/products/muzetto-leather-bag
[ostin]: https://www.brialdi.ru/shop/handbags/brialdi_ostin_brown/

## Wallet

My wallet is the [Bellroy Slim Sleeve][slim-sleeve]. It's near indestructible,
looks great, is very slim and fits a ton of cards, business cards, receipts and
whatever else you want to be lugging around with you!

However, now that I'm spending a lot of time in Egypt (where cash is still
king), not having a place to stash cash is a bit of an issue. So far, no
solution!

[slim-sleeve]: https://bellroy.com/products/slim-sleeve-wallet/default/charcoal
